# Loki::CheckForNoChange< Host > Class Template Reference

`#include <Checker.h>`

List of all members.

## Detailed Description

### template<class Host>
class Loki::CheckForNoChange< Host >

Exception Safety Level:
  This exception-checking policy class for ContractChecker asserts only if a copy of the host differs from the host object when an exception occurs. Host classes can use this policy to show which member functions provide the strong exception guarantee.

Requirements:
  This policy requires hosts to provide both the copy-constructor and the equality operator, and is intended for classes with value semantics. equality operator.

The documentation for this class was generated from the following file:

- Checker.h